package org.greenstone.gsdl3.gs3build.database;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.ResultSet;

public class SQLConnection
{
    protected Connection connection;
    protected String database;
    
    public SQLConnection(java.sql.Connection connection, String database)
    { 
	this.connection = connection;
	this.database = database;
    }
    
    protected void finalize() {
	if (this.connection!=null) {
	    try {
		this.connection.close();		
	    } catch (Exception e) {}
	}	
	this.connection = null;   
    }
    
    public void close() {
	finalize();
    }
    
    public Statement createStatement() throws SQLException
    { 
	return this.connection.createStatement();
    }
    
    public boolean connectToDatabase(String database) {
	if (this.connection != null) {
	    try {
		this.connection.close();
	    } catch (Exception e) {}
	}
	this.connection = GS3SQLConnectionFactory.getConnection(database);
	if (this.connection == null) {
	    return false;
	}
	this.database = database;
	return true;
    }
    
    public boolean dropDatabase(String database) {
	try {
	    Statement statement = this.connection.createStatement();
	    statement.execute("DROP DATABASE "+database+";");
	    statement.close();
	}
	catch (SQLException ex){
	    System.err.println(ex);
	    return false;
	}
	return true;
	
    }

    public boolean createDatabase(String database) {
	try {
	    String command = "CREATE DATABASE " + database;
	    Statement statement = this.connection.createStatement();
	    statement.execute(command);
	    statement.close();
	} catch (Exception e) {
	    System.err.println(e);
	    return false;
	}
	 
	return true;
    }

}
