<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">
  
  <xsl:include href="style.xsl"/>
  <xsl:include href="classifiertools.xsl"/>
  
  <xsl:output method="html"/>  

  <xsl:template name="pageTitle">
    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'nzdl')"/>
  </xsl:template>

  <!-- page specific style goes here -->
  <xsl:template name="pageStyle"/>


  <xsl:template match="pageResponse">
    <xsl:variable name="collName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
    <xsl:variable name="serviceName"><xsl:value-of select="service/@name"/></xsl:variable>
    <xsl:variable name="cl" select="/page/pageRequest/paramList/param[@name='cl']/@value"/>
    <xsl:variable name="clTop">
      <xsl:choose>
	<xsl:when test="contains($cl, '.')"><xsl:value-of select="substring-before($cl, '.')"/></xsl:when>
	<xsl:otherwise>
	  <xsl:value-of select="$cl"/>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <center>
      <xsl:call-template name="standardPageBanner">
	<xsl:with-param name="collName" select="$collName"/>
	<xsl:with-param name="pageType">browse</xsl:with-param>
	<xsl:with-param name="clTop" select="$clTop"/>
      </xsl:call-template>
      <xsl:call-template name="navigationBar">
	<xsl:with-param name="collName" select="$collName"/>
	<xsl:with-param name="clTop" select="$clTop"/>
      </xsl:call-template>      
      <p/>
      <xsl:apply-templates select="classifier">
	<xsl:with-param name="collName" select="$collName"/>
	<xsl:with-param name="serviceName" select="$serviceName"/>
      </xsl:apply-templates>
    </center>
  </xsl:template>
  

</xsl:stylesheet>






